Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`interfaces`.`IMessageIMAPPart``

interface documentation

`class IMessageIMAPPart(Interface): (source)`

Known subclasses: `twisted.mail.interfaces.IMessageIMAP`

View In Hierarchy

Undocumented

Method | `getBodyFile` | Retrieve a file object containing only the body of this message.
Method | `getHeaders` | Retrieve a group of message headers.
Method | `getSize` | Retrieve the total size, in octets, of this message.
Method | `getSubPart` | Retrieve a MIME sub-message
Method | `isMultipart` | Indicate whether this message has subparts.

def getBodyFile(): (source)

Retrieve a file object containing only the body of this message.

def getHeaders(negate, *names): (source)

Retrieve a group of message headers.

Parameters
negate:`bool` | If True, indicates that the headers listed in `names` should be omitted from the return value, rather than included.
*names:`tuple` of `str` | The names of the headers to retrieve or omit.
Returns
`dict` | A mapping of header field names to header field values

def getSize(): (source)

Retrieve the total size, in octets, of this message.

Returns
`int` | Undocumented

def getSubPart(part): (source)

Retrieve a MIME sub-message

Parameters
part:`int` | The number of the part to retrieve, indexed from 0.
Returns
Any object implementing `IMessageIMAPPart`. | The specified sub-part.
Raises
`IndexError` | Raised if the specified part does not exist.
`TypeError` | Raised if this message is not multipart.

def isMultipart(): (source)

Indicate whether this message has subparts.

Returns
`bool` | Undocumented